### Enumeration

# Gio ResolverNameLookupFlags

since: 2.60

#### Declaration

    flags Gio.ResolverNameLookupFlags

#### Description

Flags to modify lookup behavior.

Available since: 2.60

#### Members

`G_RESOLVER_NAME_LOOKUP_FLAGS_DEFAULT`

  Default behavior (same as g_resolver_lookup_by_name())

  - Value: `0`
  - Nickname: `default`
  - Available since: 2.60
`G_RESOLVER_NAME_LOOKUP_FLAGS_IPV4_ONLY`

  Only resolve ipv4 addresses.

  - Value: `1`
  - Nickname: `ipv4-only`
  - Available since: 2.60
`G_RESOLVER_NAME_LOOKUP_FLAGS_IPV6_ONLY`

  Only resolve ipv6 addresses.

  - Value: `2`
  - Nickname: `ipv6-only`
  - Available since: 2.60